#### D.4.19.8 annil

Procedure from library `mprimdec.lib` (see mprimdec_lib).

Usage:
  annil(N); modul N

Return:
  ideal ann=std(quotient(N,freemodule(nrows(N))));
  the annihilator of M/N in the basering

Note:
  ann is a std basis in the basering

Example:

    LIB "mprimdec.lib";
    ring r=0,(x,y,z),dp;
    module N=x*gen(1), y*gen(2);
    ideal ann=annil(N);
    ann;
    ==> ann[1]=xy

User manual for Singular version 4.4.1, 2025, generated by texi2html.